/*!
 * HighlightIt v0.2.1
 * https://github.com/TN3W/highlight-it
 * (c) 2025 TN3W
 * Released under the Apache 2.0 License
 */
(function (global) {
  const STYLES_CSS =
    ':root{--hl-background:#1e1e1e;--hl-border:#2d2d2d;--hl-header-bg:#2d2d2d;--hl-text:#d4d4d4;--hl-badge-bg:#3d3d3d;--hl-hover-bg:#3d3d3d;--hl-copied-color:#4ec9b0;--hl-keyword:#569cd6;--hl-string:#ce9178;--hl-comment:#6a9955;--hl-function:#dcdcaa;--hl-number:#b5cea8;--hl-class:#4ec9b0;--hl-params:#9cdcfe;--hl-built-in:#4ec9b0;--hl-tag:#569cd6;--hl-attr:#9cdcfe;--hl-variable:#9cdcfe;--hl-property:#9cdcfe;--hl-operator:#d4d4d4;--hl-punctuation:#d4d4d4;--hl-regexp:#d16969;--hl-doctype:grey;--hl-meta:grey;--hl-name:#569cd6;--hl-selector:#d7ba7d;--hl-attr-value:#ce9178;--hl-constant:#4fc1ff;--hl-symbol:#b5cea8;--hl-important:#569cd6;--hl-deleted:#ce9178;--hl-inserted:#b5cea8;--hl-type:#4ec9b0;--hl-literal:#569cd6;--hl-link:#9cdcfe;--hl-title-function:#dcdcaa;--hl-title-class:#4ec9b0;--hl-title-namespace:#4ec9b0;--hl-text-rgb:212,212,212}.highlightit-theme-light{--hl-background:#fff;--hl-border:#ccc;--hl-header-bg:#e0e0e0;--hl-text:#333;--hl-badge-bg:silver;--hl-hover-bg:#d0d0d0;--hl-copied-color:#0b8043;--hl-keyword:#00f;--hl-string:#a31515;--hl-comment:green;--hl-function:#795e26;--hl-number:#098658;--hl-class:#267f99;--hl-params:#001080;--hl-built-in:#0070c1;--hl-tag:maroon;--hl-attr:red;--hl-variable:#001080;--hl-property:#001080;--hl-operator:#000;--hl-punctuation:#000;--hl-regexp:#811f3f;--hl-doctype:grey;--hl-meta:grey;--hl-name:maroon;--hl-selector:maroon;--hl-attr-value:#00f;--hl-constant:#0070c1;--hl-symbol:#000;--hl-important:#00f;--hl-deleted:#a31515;--hl-inserted:#098658;--hl-type:#267f99;--hl-literal:#00f;--hl-link:#00f;--hl-title-function:#795e26;--hl-title-class:#267f99;--hl-title-namespace:#267f99;--hl-text-rgb:51,51,51}@media (prefers-color-scheme:light){:root.highlightit-theme-auto{--hl-background:#fff;--hl-border:#ccc;--hl-header-bg:#e0e0e0;--hl-text:#333;--hl-badge-bg:silver;--hl-hover-bg:#d0d0d0;--hl-copied-color:#0b8043;--hl-keyword:#00f;--hl-string:#a31515;--hl-comment:green;--hl-function:#795e26;--hl-number:#098658;--hl-class:#267f99;--hl-params:#001080;--hl-built-in:#0070c1;--hl-tag:maroon;--hl-attr:red;--hl-variable:#001080;--hl-property:#001080;--hl-operator:#000;--hl-punctuation:#000;--hl-regexp:#811f3f;--hl-doctype:grey;--hl-meta:grey;--hl-name:maroon;--hl-selector:maroon;--hl-attr-value:#00f;--hl-constant:#0070c1;--hl-symbol:#000;--hl-important:#00f;--hl-deleted:#a31515;--hl-inserted:#098658;--hl-type:#267f99;--hl-literal:#00f;--hl-link:#00f;--hl-title-function:#795e26;--hl-title-class:#267f99;--hl-title-namespace:#267f99;--hl-text-rgb:51,51,51}}.highlightit-container{border:1px solid var(--hl-border);border-radius:6px;overflow:hidden;position:relative}.highlightit-container code[data-theme=light],.highlightit-container pre[data-theme=light],.highlightit-container[data-theme=light]{--hl-background:#fff!important;--hl-border:#ccc!important;--hl-header-bg:#e0e0e0!important;--hl-text:#333!important;--hl-badge-bg:silver!important;--hl-hover-bg:#d0d0d0!important;--hl-copied-color:#0b8043!important;--hl-keyword:#00f!important;--hl-string:#a31515!important;--hl-comment:green!important;--hl-function:#795e26!important;--hl-number:#098658!important;--hl-class:#267f99!important;--hl-params:#001080!important;--hl-built-in:#0070c1!important;--hl-tag:maroon!important;--hl-attr:red!important;--hl-variable:#001080!important;--hl-property:#001080!important;--hl-operator:#000!important;--hl-punctuation:#000!important;--hl-regexp:#811f3f!important;--hl-doctype:grey!important;--hl-meta:grey!important;--hl-name:maroon!important;--hl-selector:maroon!important;--hl-attr-value:#00f!important;--hl-constant:#0070c1!important;--hl-symbol:#000!important;--hl-important:#00f!important;--hl-deleted:#a31515!important;--hl-inserted:#098658!important;--hl-type:#267f99!important;--hl-literal:#00f!important;--hl-link:#00f!important;--hl-title-function:#795e26!important;--hl-title-class:#267f99!important;--hl-title-namespace:#267f99!important}.highlightit-container code[data-theme=dark],.highlightit-container pre[data-theme=dark],.highlightit-container[data-theme=dark]{--hl-background:#1e1e1e!important;--hl-border:#2d2d2d!important;--hl-header-bg:#2d2d2d!important;--hl-text:#d4d4d4!important;--hl-badge-bg:#3d3d3d!important;--hl-hover-bg:#3d3d3d!important;--hl-copied-color:#4ec9b0!important;--hl-keyword:#569cd6!important;--hl-string:#ce9178!important;--hl-comment:#6a9955!important;--hl-function:#dcdcaa!important;--hl-number:#b5cea8!important;--hl-class:#4ec9b0!important;--hl-params:#9cdcfe!important;--hl-built-in:#4ec9b0!important;--hl-tag:#569cd6!important;--hl-attr:#9cdcfe!important;--hl-variable:#9cdcfe!important;--hl-property:#9cdcfe!important;--hl-operator:#d4d4d4!important;--hl-punctuation:#d4d4d4!important;--hl-regexp:#d16969!important;--hl-doctype:grey!important;--hl-meta:grey!important;--hl-name:#569cd6!important;--hl-selector:#d7ba7d!important;--hl-attr-value:#ce9178!important;--hl-constant:#4fc1ff!important;--hl-symbol:#b5cea8!important;--hl-important:#569cd6!important;--hl-deleted:#ce9178!important;--hl-inserted:#b5cea8!important;--hl-type:#4ec9b0!important;--hl-literal:#569cd6!important;--hl-link:#9cdcfe!important;--hl-title-function:#dcdcaa!important;--hl-title-class:#4ec9b0!important;--hl-title-namespace:#4ec9b0!important}.highlightit-header{align-items:center;background:var(--hl-header-bg);color:var(--hl-text);display:flex;font-size:14px;font-weight:600;justify-content:space-between;padding:8px 15px}.highlightit-language{background:var(--hl-badge-bg);border-radius:4px;color:var(--hl-text);font-family:SFMono-Regular,Consolas,Liberation Mono,Menlo,monospace;font-size:12px;padding:2px 8px}.highlightit-button{align-items:center;background:transparent;border:none;border-radius:4px;color:var(--hl-text);cursor:pointer;display:flex;height:28px;justify-content:center;padding:4px 6px;transition:all .2s ease}.highlightit-button:hover{background:var(--hl-hover-bg)}.highlightit-button.copied{color:var(--hl-copied-color)}.highlightit-check-icon,.highlightit-copy-icon,.highlightit-share-icon{height:16px;vertical-align:middle;width:16px}.highlightit-original,[data-with-reload][style*="display: none"]{border:0!important;height:0!important;margin:0!important;opacity:0!important;overflow:hidden!important;padding:0!important;pointer-events:none!important;position:absolute!important;visibility:hidden!important;width:0!important;z-index:-9999!important;clip:rect(1px,1px,1px,1px)!important;clip-path:inset(50%)!important}.highlightit-floating-buttons{display:flex;gap:4px;opacity:0;position:absolute;right:8px;top:8px;transition:opacity .2s ease;z-index:10}.highlightit-button.highlightit-floating{background-color:rgba(45,45,45,.8);transition:background-color .2s ease,transform .2s ease}.highlightit-container[data-theme=light] .highlightit-button.highlightit-floating,.highlightit-theme-light .highlightit-button.highlightit-floating,:root.highlightit-theme-auto.system-light-theme .highlightit-button.highlightit-floating{background-color:hsla(0,0%,78%,.8)}.highlightit-no-header:hover .highlightit-floating-buttons,:root.highlightit-touch-device .highlightit-floating-buttons{opacity:1}.highlightit-button.highlightit-floating:hover{background-color:rgba(65,65,65,.9);transform:scale(1.05)}.highlightit-container[data-theme=light] .highlightit-button.highlightit-floating:hover,.highlightit-theme-light .highlightit-button.highlightit-floating:hover,:root.highlightit-theme-auto.system-light-theme .highlightit-button.highlightit-floating:hover{background-color:hsla(0,0%,67%,.9);transform:scale(1.05)}.highlightit-container pre{background-color:var(--hl-background)!important;border-radius:0 0 6px 6px;margin:0;overflow:auto;padding:16px}.highlightit-container pre::-webkit-scrollbar{height:10px;width:10px}.highlightit-theme-dark .highlightit-container pre::-webkit-scrollbar-track,:root:not(.highlightit-theme-light) .highlightit-container pre::-webkit-scrollbar-track{background:#2d2d2d;border-radius:4px}.highlightit-theme-dark .highlightit-container pre::-webkit-scrollbar-thumb,:root:not(.highlightit-theme-light) .highlightit-container pre::-webkit-scrollbar-thumb{background:#3d3d3d;border-radius:4px}.highlightit-theme-dark .highlightit-container pre::-webkit-scrollbar-thumb:hover,:root:not(.highlightit-theme-light) .highlightit-container pre::-webkit-scrollbar-thumb:hover{background:#4d4d4d}:root.highlightit-theme-light .highlightit-container pre::-webkit-scrollbar-track{background:#e0e0e0;border-radius:4px}:root.highlightit-theme-light .highlightit-container pre::-webkit-scrollbar-thumb{background:silver;border-radius:4px}.highlightit-container[data-theme=light] pre::-webkit-scrollbar-thumb:hover,:root.highlightit-theme-light .highlightit-container pre::-webkit-scrollbar-thumb:hover{background:#a0a0a0}.highlightit-theme-dark .highlightit-container pre,:root:not(.highlightit-theme-light) .highlightit-container pre{scrollbar-color:#3d3d3d #2d2d2d;scrollbar-width:thin}:root.highlightit-theme-light .highlightit-container pre{scrollbar-color:silver #e0e0e0;scrollbar-width:thin}html .highlightit-container[data-theme=dark] pre::-webkit-scrollbar-track{background:#2d2d2d!important;border-radius:4px}html .highlightit-container[data-theme=dark] pre::-webkit-scrollbar-thumb{background:#3d3d3d!important;border-radius:4px}html .highlightit-container[data-theme=dark] pre::-webkit-scrollbar-thumb:hover{background:#4d4d4d!important}html .highlightit-container[data-theme=dark] pre{scrollbar-color:#3d3d3d #2d2d2d!important;scrollbar-width:thin!important}html .highlightit-container[data-theme=light] pre::-webkit-scrollbar-track{background:#e0e0e0!important;border-radius:4px}html .highlightit-container[data-theme=light] pre::-webkit-scrollbar-thumb{background:silver!important;border-radius:4px}html .highlightit-container[data-theme=light] pre::-webkit-scrollbar-thumb:hover{background:#a0a0a0!important}html .highlightit-container[data-theme=light] pre{scrollbar-color:silver #e0e0e0!important;scrollbar-width:thin!important}.highlightit-no-header pre{border-radius:6px}.highlightit-container code{color:var(--hl-text);font-family:SFMono-Regular,Consolas,Liberation Mono,Menlo,monospace;font-size:14px;line-height:1.5;margin-left:0;padding:0!important;tab-size:4;-moz-tab-size:4;white-space:pre}.highlightit-has-line-numbers code{margin-left:1em}.highlightit-anchor-highlight{animation:highlightit-anchor-pulse 2s ease-in-out}@keyframes highlightit-anchor-pulse{0%{box-shadow:0 0 0 0 rgba(var(--hl-text-rgb),.2)}70%{box-shadow:0 0 0 10px rgba(var(--hl-text-rgb),0)}to{box-shadow:0 0 0 0 rgba(var(--hl-text-rgb),0)}}.hljs-keyword{color:var(--hl-keyword)}.hljs-string{color:var(--hl-string)}.hljs-comment{color:var(--hl-comment)}.hljs-function{color:var(--hl-function)}.hljs-number{color:var(--hl-number)}.hljs-class,.hljs-title{color:var(--hl-class)}.hljs-params{color:var(--hl-params)}.hljs-built_in{color:var(--hl-built-in)}.hljs-tag{color:var(--hl-tag)}.hljs-name{color:var(--hl-name)}.hljs-attribute{color:var(--hl-attr)}.hljs-attr-value{color:var(--hl-attr-value)}.hljs-doctype{font-style:italic}.hljs-doctag,.hljs-doctype{color:var(--hl-doctype)}.hljs-variable{color:var(--hl-variable)}.hljs-property{color:var(--hl-property)}.hljs-operator{color:var(--hl-operator)}.hljs-punctuation{color:var(--hl-punctuation)}.hljs-regexp{color:var(--hl-regexp)}.hljs-meta{color:var(--hl-meta);font-style:italic}.hljs-selector{color:var(--hl-selector)}.hljs-constant{color:var(--hl-constant);font-weight:700}.hljs-symbol{color:var(--hl-symbol)}.hljs-important{color:var(--hl-important);font-weight:700}.hljs-type{color:var(--hl-type)}.hljs-literal{color:var(--hl-literal)}.hljs-link{color:var(--hl-link);text-decoration:underline}.hljs-deleted{background-color:rgba(255,0,0,.1);color:var(--hl-deleted)}.hljs-inserted{background-color:rgba(0,255,0,.1);color:var(--hl-inserted)}.hljs-title.function_{color:var(--hl-title-function)}.hljs-title.class_{color:var(--hl-title-class)}.hljs-title.namespace{color:var(--hl-title-namespace)}.hljs-selector-tag{color:var(--hl-tag)}.hljs-selector-class,.hljs-selector-id{color:var(--hl-selector)}.hljs-selector-attr{color:var(--hl-attr)}.hljs-selector-pseudo{color:var(--hl-selector);font-style:italic}.hljs-template-variable{font-style:italic}.hljs-subst,.hljs-template-variable{color:var(--hl-variable)}.hljs-section{color:var(--hl-keyword);font-weight:700}.hljs-bullet{color:var(--hl-operator)}.hljs-emphasis{font-style:italic}.hljs-strong{font-weight:700}.hljs-quote{color:var(--hl-string);font-style:italic}.hljs-code{background-color:rgba(0,0,0,.05);border-radius:3px;color:var(--hl-class);padding:.1em .2em}.hljs-keyword.operator{color:var(--hl-operator)}.hljs-attr{color:var(--hl-attr)}.hljs-variable.language_{color:var(--hl-params);font-style:italic}.hljs-built_in.shell{color:var(--hl-keyword)}.hljs-symbol.instance{color:var(--hl-symbol)}.hljs-symbol.class_{color:var(--hl-class)}.language-html .hljs-tag,.language-xml .hljs-tag{color:var(--hl-tag)}.language-css .hljs-property{color:var(--hl-property)}.language-javascript .hljs-keyword,.language-js .hljs-keyword{color:var(--hl-keyword)}.language-ts .hljs-type,.language-typescript .hljs-type{color:var(--hl-type)}.language-php .hljs-variable{color:var(--hl-variable)}.language-diff .hljs-deletion{background-color:rgba(255,0,0,.1);color:var(--hl-deleted)}.language-diff .hljs-addition{background-color:rgba(0,255,0,.1);color:var(--hl-inserted)}.highlightit-has-line-numbers{display:flex;isolation:isolate;overflow:hidden;position:relative}.highlightit-line-numbers{border-right:1px solid var(--hl-border);color:var(--hl-text);display:flex;flex-direction:column;font-family:SFMono-Regular,Consolas,Liberation Mono,Menlo,monospace;font-size:14px;line-height:1.5;opacity:.7;padding-right:.5em;position:relative;text-align:right;user-select:none;-webkit-user-select:none;-moz-user-select:none}.highlightit-line-numbers:after{background-color:var(--hl-header-bg);bottom:0;content:"";left:0;opacity:.05;pointer-events:none;position:absolute;right:0;top:0;z-index:-1}.highlightit-has-line-numbers pre{border-radius:0!important;flex:1;margin:0;padding-left:.5em;position:relative}.highlightit-container[data-theme=light] .highlightit-line-numbers,.highlightit-theme-light .highlightit-line-numbers,:root.highlightit-theme-auto.system-light-theme .highlightit-line-numbers{border-right-color:#ccc!important}.highlightit-visually-hidden{height:1px!important;margin:-1px!important;overflow:hidden!important;padding:0!important;position:absolute!important;width:1px!important;clip:rect(0,0,0,0)!important;border:0!important;opacity:.01!important;pointer-events:none!important;white-space:nowrap!important}.highlightit-line-number-container,.highlightit-with-lines .highlightit-line-number{align-items:center;display:flex;height:1.5em;justify-content:flex-end;margin-bottom:0;position:relative}.highlightit-with-lines .highlightit-line-number{padding-right:1em;transition:opacity .2s ease;z-index:1}.highlightit-line-number-shareable{cursor:pointer}.highlightit-container[data-with-share]	.highlightit-line-number-container:hover	.highlightit-line-number,[data-with-share] .highlightit-line-number-container:hover .highlightit-line-number{opacity:0}.highlightit-line-share{align-items:center;background:transparent;border:none;border-radius:3px;color:var(--hl-text);cursor:pointer;display:flex;height:auto;justify-content:center;margin-right:.5em;opacity:0;padding:4px;position:absolute;right:0;top:50%;transform:translateY(-50%);transition:opacity .2s ease;width:auto;z-index:2}.highlightit-line-number-container:hover .highlightit-line-share{opacity:.7}.highlightit-line-share:hover{background:var(--hl-hover-bg);opacity:1!important}.highlightit-line-share.copied{background:var(--hl-hover-bg);color:var(--hl-copied-color);opacity:1}.highlightit-line-number-container:has(.highlightit-line-share.copied) .highlightit-line-number{opacity:.3}.highlightit-line-number-container.has-copied-button .highlightit-line-number{opacity:.3}.highlightit-line-share svg{height:14px;width:14px}.highlightit-line-highlight{position:relative}.highlightit-line-highlight-overlay{animation:highlightit-line-pulse 2s ease-in-out;background-color:rgba(var(--hl-text-rgb),.1);bottom:0;left:0;pointer-events:none;position:absolute;right:0;top:0;z-index:1}@keyframes highlightit-line-pulse{0%{background-color:rgba(var(--hl-text-rgb),.2)}70%{background-color:rgba(var(--hl-text-rgb),.1)}to{background-color:rgba(var(--hl-text-rgb),.1)}}';

  function injectCSS(css) {
    const style = document.createElement('style');
    style.textContent = css;
    document.head.appendChild(style);
  }

  // Begin bundled module: polyfills.js
  /**
   * Polyfills and browser compatibility helpers
   */

  const polyfills = {
    supports: {
      requestAnimationFrame: typeof requestAnimationFrame === 'function',
      ResizeObserver: typeof ResizeObserver === 'function',
      MutationObserver: typeof MutationObserver === 'function',
      classList:
        'classList' in document.documentElement &&
        typeof document.documentElement.classList !== 'undefined',
      dataset:
        'dataset' in document.documentElement &&
        typeof document.documentElement.dataset !== 'undefined',
      clipboard: 'clipboard' in navigator,
      clipboardItem: typeof ClipboardItem !== 'undefined',
      touch:
        'ontouchstart' in window || navigator.maxTouchPoints > 0 || navigator.msMaxTouchPoints > 0,
      getBoundingClientRect: 'getBoundingClientRect' in document.documentElement,
      animation: 'Animation' in window && 'animate' in document.documentElement,
      cssHas: (function () {
        try {
          document.querySelector(':has(*)');
          return true;
        } catch {
          return false;
        }
      })(),
    },

    requestAnimationFrame: (function () {
      return (
        window.requestAnimationFrame ||
        window.webkitRequestAnimationFrame ||
        window.mozRequestAnimationFrame ||
        window.oRequestAnimationFrame ||
        window.msRequestAnimationFrame ||
        function (callback) {
          return window.setTimeout(callback, 1000 / 60);
        }
      );
    })(),

    ResizeObserver: (function () {
      if (typeof ResizeObserver === 'function') return ResizeObserver;

      return class ResizeObserver {
        constructor(callback) {
          this.callback = callback;
          this.observedElements = new Set();
          this.observer = new MutationObserver(this.handleMutation.bind(this));
        }

        observe(element) {
          if (this.observedElements.has(element)) return;
          this.observedElements.add(element);
          this.observer.observe(element, {
            attributes: true,
            attributeFilter: ['style', 'class'],
          });
          this.checkSize(element);
        }

        unobserve(element) {
          this.observedElements.delete(element);
          this.observer.unobserve(element);
        }

        disconnect() {
          this.observer.disconnect();
          this.observedElements.clear();
        }

        handleMutation(mutations) {
          mutations.forEach((mutation) => {
            if (mutation.target && this.observedElements.has(mutation.target)) {
              this.checkSize(mutation.target);
            }
          });
        }

        checkSize(element) {
          const size = {
            width: element.offsetWidth,
            height: element.offsetHeight,
          };
          this.callback([{ target: element, contentRect: size }]);
        }
      };
    })(),

    getBoundingClientRect: function (element) {
      if (!element) return { top: 0, right: 0, bottom: 0, left: 0, width: 0, height: 0 };

      if (this.supports.getBoundingClientRect) {
        try {
          return element.getBoundingClientRect();
        } catch {
          //
        }
      }

      const rect = {
        top: element.offsetTop,
        left: element.offsetLeft,
        width: element.offsetWidth,
        height: element.offsetHeight,
      };

      rect.right = rect.left + rect.width;
      rect.bottom = rect.top + rect.height;

      let parent = element.offsetParent;
      while (parent) {
        rect.top += parent.offsetTop;
        rect.left += parent.offsetLeft;
        parent = parent.offsetParent;
      }

      rect.top -= window.scrollY || document.documentElement.scrollTop || 0;
      rect.left -= window.scrollX || document.documentElement.scrollLeft || 0;

      return rect;
    },

    classList: {
      add: function (element, className) {
        if (!element) return;

        try {
          if (this.supports.classList) {
            element.classList.add(className);
          } else {
            const classes = (element.className || '').split(' ');
            if (!classes.includes(className)) {
              classes.push(className);
            }
            element.className = classes.join(' ');
          }
        } catch {
          const classes = (element.className || '').split(' ');
          if (!classes.includes(className)) {
            classes.push(className);
          }
          element.className = classes.join(' ');
        }
      },
      remove: function (element, className) {
        if (!element) return;

        try {
          if (this.supports.classList) {
            element.classList.remove(className);
          } else {
            element.className = (element.className || '')
              .split(' ')
              .filter((c) => c !== className)
              .join(' ');
          }
        } catch {
          element.className = (element.className || '')
            .split(' ')
            .filter((c) => c !== className)
            .join(' ');
        }
      },
      contains: function (element, className) {
        if (!element) return false;

        try {
          if (this.supports.classList) {
            return element.classList.contains(className);
          }
          return (element.className || '').split(' ').includes(className);
        } catch {
          return (element.className || '').split(' ').includes(className);
        }
      },
    },

    dataset: {
      get: function (element, key) {
        if (!element) return undefined;

        try {
          if (this.supports.dataset) {
            return element.dataset[key];
          }
          return element.getAttribute(`data-${key}`);
        } catch {
          return element.getAttribute(`data-${key}`);
        }
      },
      set: function (element, key, value) {
        if (!element) return;

        try {
          if (this.supports.dataset) {
            element.dataset[key] = value;
          } else {
            element.setAttribute(`data-${key}`, value);
          }
        } catch {
          element.setAttribute(`data-${key}`, value);
        }
      },
    },

    copyToClipboard: async function (text) {
      if (this.supports.clipboard) {
        try {
          await navigator.clipboard.writeText(text);
          return true;
        } catch {
          //
        }
      }

      if (this.supports.clipboard && this.supports.clipboardItem) {
        try {
          const clipboardItem = new ClipboardItem({
            'text/plain': new Blob([text], { type: 'text/plain' }),
          });
          await navigator.clipboard.write([clipboardItem]);
          return true;
        } catch {
          //
        }
      }

      const textArea = document.createElement('textarea');
      textArea.value = text;
      textArea.style.position = 'fixed';
      textArea.style.left = '-9999px';
      document.body.appendChild(textArea);
      textArea.focus();
      textArea.select();

      try {
        const success = document.execCommand('copy');
        document.body.removeChild(textArea);
        return success;
      } catch {
        document.body.removeChild(textArea);
        return false;
      }
    },

    animate: function (element, keyframes, options) {
      if (!element) return null;

      if (this.supports.animation) {
        try {
          return element.animate(keyframes, options);
        } catch {
          //
        }
      }

      const animationId = Date.now().toString(36);
      const duration = options.duration || 1000;

      Object.keys(keyframes[0]).forEach((prop) => {
        element.style[prop] = keyframes[0][prop];
      });

      setTimeout(() => {
        element.style.transition = `all ${duration}ms ${options.easing || 'ease'}`;

        const finalState = keyframes[keyframes.length - 1];
        Object.keys(finalState).forEach((prop) => {
          element.style[prop] = finalState[prop];
        });

        setTimeout(() => {
          element.style.transition = '';
          if (options.fill !== 'forwards') {
            Object.keys(finalState).forEach((prop) => {
              element.style[prop] = '';
            });
          }
        }, duration);
      }, 0);

      return {
        id: animationId,
        cancel: function () {
          element.style.transition = '';
        },
        finished: new Promise((resolve) => {
          setTimeout(resolve, duration);
        }),
      };
    },

    /**
     * Helper to check if a container has an element with a certain class
     * Used as a fallback for browsers that don't support :has() selector
     *
     * @param {HTMLElement} container - The container element to check
     * @param {string} selector - The selector to look for within the container
     * @param {string} className - The class to add/remove from the container
     * @param {boolean} shouldHaveClass - Whether to add or remove the class
     */
    updateHasClass: function (container, selector, className, shouldHaveClass) {
      if (!container || !selector || !className) return;

      // If browser supports :has, we don't need this
      if (this.supports.cssHas) return;

      const hasElement = container.querySelector(selector);

      if (shouldHaveClass && hasElement) {
        this.classList.add(container, className);
      } else if (!shouldHaveClass && !hasElement) {
        this.classList.remove(container, className);
      }
    },
  };

  // End bundled module: polyfills.js

  // Begin bundled module: cache.js
  /**
   * Cache for commonly used data in the highlighting process
   */

  const cache = {
    popularLanguages: new Set([
      'javascript',
      'typescript',
      'python',
      'java',
      'html',
      'css',
      'scss',
      'php',
      'ruby',
      'go',
      'rust',
      'c',
      'cpp',
      'csharp',
      'bash',
      'json',
      'markdown',
      'yaml',
      'xml',
    ]),
    extensionMap: new Map([
      ['js', 'javascript'],
      ['ts', 'typescript'],
      ['jsx', 'javascript'],
      ['tsx', 'typescript'],
      ['html', 'html'],
      ['css', 'css'],
      ['scss', 'scss'],
      ['sass', 'scss'],
      ['py', 'python'],
      ['rb', 'ruby'],
      ['java', 'java'],
      ['c', 'c'],
      ['cpp', 'cpp'],
      ['cs', 'csharp'],
      ['php', 'php'],
      ['go', 'go'],
      ['rust', 'rust'],
      ['rs', 'rust'],
      ['swift', 'swift'],
      ['md', 'markdown'],
      ['json', 'json'],
      ['xml', 'xml'],
      ['yaml', 'yaml'],
      ['yml', 'yaml'],
      ['sh', 'bash'],
      ['bash', 'bash'],
    ]),
    htmlEscapes: new Map([
      ['&', '&amp;'],
      ['<', '&lt;'],
      ['>', '&gt;'],
      ['"', '&quot;'],
      ["'", '&#39;'],
      ['/', '&#x2F;'],
      ['`', '&#x60;'],
      ['=', '&#x3D;'],
    ]),
    svgIcons: {
      copy: `<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="highlightit-copy-icon"><rect x="9" y="9" width="13" height="13" rx="2" ry="2"></rect><path d="M5 15H4a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h9a2 2 0 0 1 2 2v1"></path></svg>`,
      check: `<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="highlightit-check-icon"><polyline points="20 6 9 17 4 12"></polyline></svg>`,
      share: `<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="highlightit-share-icon"><circle cx="18" cy="5" r="3"></circle><circle cx="6" cy="12" r="3"></circle><circle cx="18" cy="19" r="3"></circle><line x1="8.59" y1="13.51" x2="15.42" y2="17.49"></line><line x1="15.41" y1="6.51" x2="8.59" y2="10.49"></line></svg>`,
      link: `<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="highlightit-link-icon"><path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path><path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path></svg>`,
    },
  };

  // End bundled module: cache.js

  /**
   * HighlightIt - A lightweight syntax highlighting library with themes, line numbers, and copy functionality.
   * Uses highlight.js for code highlighting
   */

  const BASE62_CHARS = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';

  /**
   * HighlightIt class for syntax highlighting
   */
  class HighlightIt {
    /**
     * Initialize HighlightIt by finding and highlighting all matching elements
     * @param {Object} options - Configuration options
     * @param {string} [options.selector='.highlightit'] - CSS selector for elements to highlight
     * @param {boolean} [options.autoDetect=true] - Whether to auto-detect language if not specified
     * @param {boolean} [options.addCopyButton=true] - Whether to add a copy button to code blocks
     * @param {boolean} [options.showLanguage=true] - Whether to show the language label
     * @param {boolean} [options.addHeader=true] - Whether to add the header section to code blocks
     * @param {boolean} [options.addLines=false] - Whether to add line numbers to code blocks
     * @param {boolean} [options.addShare=false] - Whether to add share button to code blocks
     * @param {string} [options.theme='auto'] - Theme to use ('light', 'dark', or 'auto')
     * @param {number} [options.debounceTime=50] - Debounce time in ms for live updates (lower values = more responsive)
     */
    static init(options = {}) {
      const {
        selector = '.highlight-it',
        autoDetect = true,
        addCopyButton = true,
        showLanguage = true,
        addHeader = true,
        addLines = false,
        addShare = false,
        theme = 'auto',
        debounceTime = 50,
      } = options;

      this.debounceTime = debounceTime;
      this.applyGlobalTheme(theme);

      this.isTouchDevice = polyfills.supports.touch;

      if (this.isTouchDevice) {
        polyfills.classList.add(document.documentElement, 'highlightit-touch-device');
      }

      const elements = document.querySelectorAll(`${selector}:not(.highlightit-original)`);

      const chunkSize = 50;
      const processChunk = (startIndex) => {
        const endIndex = Math.min(startIndex + chunkSize, elements.length);
        for (let i = startIndex; i < endIndex; i++) {
          this.processElement(
            elements[i],
            autoDetect,
            addCopyButton,
            showLanguage,
            addHeader,
            addLines,
            addShare
          );
        }
        if (endIndex < elements.length) {
          polyfills.requestAnimationFrame(() => processChunk(endIndex));
        } else {
          if (window.location.hash) {
            this.scrollToAnchor();
          }
        }
      };

      processChunk(0);
      this._initialized = true;

      this.initSharing();
    }

    /**
     * Generate a hash using SHA-256 and convert to a 12-character base62 string
     * @param {string} input - The string to hash
     * @returns {Promise<string>} - A 12-character base62 hash
     */
    static async generateHash(input) {
      const encoder = new TextEncoder();
      const data = encoder.encode(input);

      const hashBuffer = await crypto.subtle.digest('SHA-256', data);

      const hashArray = Array.from(new Uint8Array(hashBuffer));

      let base62Hash = '';
      let value = 0n;

      for (let i = 0; i < hashArray.length; i++) {
        value = (value << 8n) | BigInt(hashArray[i]);
      }

      while (value > 0 || base62Hash.length < 12) {
        const remainder = Number(value % 62n);
        base62Hash = BASE62_CHARS[remainder] + base62Hash;
        value = value / 62n;

        if (value === 0n && base62Hash.length < 12) {
          base62Hash = '0' + base62Hash;
        }
      }

      return base62Hash.slice(-12).padStart(12, '0');
    }

    /**
     * Create a share button for code blocks
     * @param {string} code - The code to generate hash from if no id exists
     * @param {HTMLElement} container - The container element (to extract id)
     * @returns {HTMLElement} - The share button element
     */
    static async createShareButton(code, container) {
      const shareButton = document.createElement('button');
      shareButton.className = 'highlightit-button highlightit-share';
      shareButton.setAttribute('aria-label', 'Copy link to this code');
      shareButton.innerHTML = cache.svgIcons.share;

      const originalId = container.getAttribute('data-original-id');
      const containerId = container.id;
      let blockId = originalId || containerId;

      if (!blockId) {
        blockId = await this.generateHash(code);
        container.id = blockId;
      }

      const clickListener = async () => {
        const currentId = container.getAttribute('data-original-id') || container.id;
        const url = new URL(window.location.href);
        url.hash = currentId;

        const success = await polyfills.copyToClipboard(url.toString());

        if (success) {
          shareButton.classList.add('copied');
          shareButton.innerHTML = cache.svgIcons.check;

          setTimeout(() => {
            shareButton.classList.remove('copied');
            shareButton.innerHTML = cache.svgIcons.share;
          }, 2000);
        }
      };

      shareButton.addEventListener('click', clickListener);
      shareButton.onclickBackup = clickListener;
      shareButton._currentBlockId = blockId;

      return shareButton;
    }

    /**
     * Update block ID when code changes for blocks with live updates
     * @param {HTMLElement} container - The container element
     * @param {string} newCode - The new code content
     * @returns {Promise<string>} - The updated block ID
     */
    static async updateBlockId(container, newCode) {
      const originalId = container.getAttribute('data-original-id');

      if (originalId) {
        const originalElement = document.querySelector(`.highlightit-original[id="${originalId}"]`);

        if (originalElement) {
          if (originalElement.id !== originalId) {
            originalElement.id = originalId;
          }

          if (container.id === originalId) {
            container.id = '';
          }

          container.setAttribute('data-original-id', originalId);
        } else {
          if (!container.id || container.id !== originalId) {
            container.id = originalId;
          }
        }

        return originalId;
      } else if (container.id) {
        return container.id;
      } else {
        const newId = await this.generateHash(newCode);
        container.id = newId;
        return newId;
      }
    }

    /**
     * Scroll to the element specified in the URL hash
     * @param {number} [attempts=0] - Number of attempts made so far
     */
    static scrollToAnchor(attempts = 0) {
      const fullHash = window.location.hash.substring(1);
      if (!fullHash) return;

      const hashParts = fullHash.split('_');
      const hash = hashParts[0];
      const lineNumber = hashParts.length > 1 ? parseInt(hashParts[1], 10) : null;

      const target = document.getElementById(hash);
      if (target) {
        if (target.classList.contains('highlightit-original')) {
          const uniqueId = target.getAttribute('data-highlightit-id');
          let visibleTarget = null;

          if (uniqueId) {
            visibleTarget = document.querySelector(`[data-linked-original="${uniqueId}"]`);
          }

          if (visibleTarget) {
            setTimeout(() => {
              this.scrollToHighlightedElement(visibleTarget, lineNumber);
            }, 100);
            return;
          }
        }

        setTimeout(() => {
          this.scrollToHighlightedElement(target, lineNumber);
        }, 100);
      } else if (attempts < 10) {
        setTimeout(
          () => {
            this.scrollToAnchor(attempts + 1);
          },
          300 * (attempts + 1)
        );
      }
    }

    /**
     * Scroll to a highlighted element and optionally to a specific line
     * @param {HTMLElement} element - The element to scroll to
     * @param {number|null} lineNumber - The line number to highlight, if any
     * @private
     */
    static scrollToHighlightedElement(element, lineNumber) {
      if (lineNumber !== null) {
        const container = element.closest('.highlightit-container');
        if (container) {
          const lineNumbers = container.querySelectorAll('.highlightit-line-number');
          for (let i = 0; i < lineNumbers.length; i++) {
            const ln = lineNumbers[i];
            if (ln.textContent.trim() === String(lineNumber)) {
              const lineContainer = ln.closest('.highlightit-line-number-container') || ln;

              this.createFullWidthHighlight(lineContainer, container);

              lineContainer.scrollIntoView({ behavior: 'smooth', block: 'center' });

              return;
            }
          }
        }
      }

      element.scrollIntoView({ behavior: 'smooth', block: 'start' });
      element.classList.add('highlightit-anchor-highlight');
      setTimeout(() => {
        element.classList.remove('highlightit-anchor-highlight');
      }, 2000);
    }

    /**
     * Create a full-width highlight that spans both line numbers and code
     * @param {HTMLElement} lineContainer - The line container element
     * @param {HTMLElement} codeContainer - The code container element
     * @private
     */
    static createFullWidthHighlight(lineContainer, codeContainer) {
      lineContainer.classList.add('highlightit-line-highlight');

      const rect = polyfills.getBoundingClientRect(lineContainer);
      const containerRect = polyfills.getBoundingClientRect(codeContainer);

      const overlay = document.createElement('div');
      overlay.className = 'highlightit-line-highlight-overlay';

      overlay.style.top = `${rect.top - containerRect.top}px`;
      overlay.style.height = `${rect.height}px`;
      overlay.style.width = '100%';
      overlay.style.left = '0';

      codeContainer.appendChild(overlay);

      setTimeout(() => {
        lineContainer.classList.remove('highlightit-line-highlight');
        if (overlay && overlay.parentNode) {
          overlay.parentNode.removeChild(overlay);
        }
      }, 2500);
    }

    /**
     * Process an element for highlighting, handling both single and nested element structures
     * @param {HTMLElement} element - The element to process
     * @param {boolean} autoDetect - Whether to auto-detect language
     * @param {boolean} addCopyButton - Whether to add a copy button
     * @param {boolean} showLanguage - Whether to show the language label
     * @param {boolean} addHeader - Whether to add header section
     * @param {boolean} addLines - Whether to add line numbers
     * @param {boolean} addShare - Whether to add share button
     * @private
     */
    static processElement(
      element,
      autoDetect,
      addCopyButton,
      showLanguage,
      addHeader,
      addLines,
      addShare
    ) {
      let codeElement;
      let preElement;
      let originalElement = null;
      const withLiveUpdates = element.dataset.withReload !== undefined;

      if (element.textContent) {
        element.textContent = element.textContent.trim();
      }

      if (element.dataset.lineStart !== undefined) {
        element.dataset.withLines = '';
        addLines = true;
      }

      if (
        element.tagName.toLowerCase() === 'code' &&
        element.parentElement.tagName.toLowerCase() === 'pre'
      ) {
        codeElement = element;
        preElement = element.parentElement;

        if (withLiveUpdates) {
          const uniqueId = 'highlightit-id-' + Math.random().toString(36).substr(2, 9);

          originalElement = document.createElement('pre');
          const originalCodeElement = document.createElement('code');

          originalCodeElement.textContent = element.textContent || '';

          originalElement.classList.add('highlightit-original');

          if (preElement.id) {
            originalElement.id = preElement.id;
            preElement.setAttribute('data-original-id', preElement.id);
            preElement.id = '';
          }

          originalElement.setAttribute('data-highlightit-id', uniqueId);
          originalElement.classList.add('highlightit-visually-hidden');

          if (element.dataset.language) {
            originalCodeElement.dataset.language = element.dataset.language;
          }

          if (element.dataset.lineStart !== undefined) {
            originalCodeElement.dataset.lineStart = element.dataset.lineStart;
          }

          if (element.dataset.withShare !== undefined) {
            originalCodeElement.dataset.withShare = element.dataset.withShare;
          }

          originalElement.appendChild(originalCodeElement);

          preElement.dataset.linkedOriginal = uniqueId;

          preElement.classList.add('highlightit-streaming-target');

          preElement.parentNode.insertBefore(originalElement, preElement);
        }
      } else {
        const content = element.textContent || '';

        if (withLiveUpdates) {
          const uniqueId = 'highlightit-id-' + Math.random().toString(36).substr(2, 9);

          originalElement = document.createElement('pre');
          const originalCodeElement = document.createElement('code');

          originalCodeElement.textContent = content;
          originalElement.appendChild(originalCodeElement);

          originalElement.classList.add('highlightit-original');

          if (element.id) {
            originalElement.id = element.id;
            element.setAttribute('data-original-id', element.id);
            element.id = '';
          }

          originalElement.setAttribute('data-highlightit-id', uniqueId);
          originalElement.classList.add('highlightit-visually-hidden');

          if (element.dataset.language) {
            originalCodeElement.dataset.language = element.dataset.language;
          }

          if (element.dataset.lineStart !== undefined) {
            originalCodeElement.dataset.lineStart = element.dataset.lineStart;
          }

          if (element.dataset.withShare !== undefined) {
            originalCodeElement.dataset.withShare = element.dataset.withShare;
          }

          element.parentNode.insertBefore(originalElement, element);

          element.setAttribute('data-linked-original', uniqueId);
        }

        const container = document.createElement('div');

        if (element.className.includes('highlight-it')) {
          container.className = 'highlight-it highlightit-container';
        } else {
          container.className = element.className;
        }

        if (element.id && !withLiveUpdates) {
          container.id = element.id;
        }

        preElement = document.createElement('pre');
        codeElement = document.createElement('code');

        codeElement.textContent = content.trim();

        for (const key in element.dataset) {
          container.dataset[key] = element.dataset[key];

          if (key === 'language') {
            codeElement.dataset.language = element.dataset[key];
            codeElement.className = `language-${element.dataset[key]}`;
          }

          if (key === 'withLines') {
            container.classList.add('highlightit-with-lines');
          }

          if (key === 'noHeader') {
            container.classList.add('highlightit-no-header');
          }

          if (key === 'lineStart') {
            codeElement.dataset.lineStart = element.dataset[key];
          }
        }

        preElement.appendChild(codeElement);
        container.appendChild(preElement);

        element.parentNode.replaceChild(container, element);
        element = codeElement;
      }

      if (addLines || element.dataset.withLines !== undefined) {
        const container = this.createCodeContainer(element);
        container.classList.add('highlightit-with-lines');
      }

      this.highlightElement(
        element,
        autoDetect,
        addCopyButton,
        showLanguage,
        addHeader,
        addLines,
        addShare
      );
    }

    /**
     * Apply global theme to the document root
     * @param {string} theme - Theme to apply ('light', 'dark', or 'auto')
     * @private
     */
    static applyGlobalTheme(theme) {
      document.documentElement.classList.remove(
        'highlightit-theme-light',
        'highlightit-theme-dark',
        'highlightit-theme-auto'
      );

      if (['light', 'dark', 'auto'].includes(theme)) {
        document.documentElement.classList.add(`highlightit-theme-${theme}`);
      } else {
        document.documentElement.classList.add('highlightit-theme-auto');
      }
    }

    /**
     * Highlight a single element
     * @param {HTMLElement} element - The code element to highlight
     * @param {boolean} autoDetect - Whether to auto-detect language
     * @param {boolean} addCopyButton - Whether to add a copy button
     * @param {boolean} showLanguage - Whether to show the language label
     * @param {boolean} addHeader - Whether to add header section
     * @param {boolean} addLines - Whether to add line numbers
     * @param {boolean} addShare - Whether to add share button
     * @private
     *
     * The element can have various data attributes:
     * - data-language: The programming language for syntax highlighting
     * - data-filename: Filename to display (also used to detect language)
     * - data-theme: Override global theme for this element ('light', 'dark', 'auto')
     * - data-with-lines: Add line numbers to the code block
     * - data-line-start: Set the starting line number (default is 1, can be positive or negative)
     * - data-no-header: Hide the header (language label and copy button)
     * - data-no-copy: Hide the copy button
     * - data-with-reload: Enable live updates - code will be rehighlighted automatically when content changes
     * - data-with-share: Add a share button that copies the URL with the element ID as the fragment
     */
    static highlightElement(
      element,
      autoDetect,
      addCopyButton,
      showLanguage,
      addHeader,
      addLines,
      addShare
    ) {
      const container = this.createCodeContainer(element);

      const code = (element.textContent || '').trim();

      let language = null;
      let displayLabel = null;
      let filename = null;

      const elementDataset = element.dataset;
      const containerDataset = container.dataset;

      const noHeader =
        !addHeader ||
        elementDataset.noHeader !== undefined ||
        containerDataset.noHeader !== undefined;
      const withLines =
        addLines ||
        elementDataset.withLines !== undefined ||
        containerDataset.withLines !== undefined;
      const withLiveUpdates =
        elementDataset.withReload !== undefined || containerDataset.withReload !== undefined;
      const noCopy = elementDataset.noCopy !== undefined || containerDataset.noCopy !== undefined;
      const withShare =
        addShare ||
        elementDataset.withShare !== undefined ||
        containerDataset.withShare !== undefined;

      const shouldAddCopyButton = addCopyButton && !noCopy;

      if (elementDataset.language) {
        language = elementDataset.language;
        displayLabel = language;
      } else if (containerDataset.language) {
        language = containerDataset.language;
        displayLabel = language;
      }

      if (elementDataset.filename) {
        filename = elementDataset.filename;
        language = this.getLanguageFromFilename(filename);
        displayLabel = filename;
      } else if (containerDataset.filename) {
        filename = containerDataset.filename;
        language = this.getLanguageFromFilename(filename);
        displayLabel = filename;
      }

      if (elementDataset.theme) {
        const elementTheme = elementDataset.theme.toLowerCase();
        if (['light', 'dark', 'auto'].includes(elementTheme)) {
          container.classList.add(`highlightit-theme-${elementTheme}`);
        }
      } else if (containerDataset.theme) {
        const elementTheme = containerDataset.theme.toLowerCase();
        if (['light', 'dark', 'auto'].includes(elementTheme)) {
          container.classList.add(`highlightit-theme-${elementTheme}`);
        }
      }

      if (withShare && !withLiveUpdates) {
        const originalId = container.getAttribute('data-original-id');
        const hasId = originalId || container.id;

        if (!hasId) {
          this.generateHash(code).then((blockId) => {
            container.id = blockId;
          });
        }
      }

      if ((showLanguage || shouldAddCopyButton || withShare) && addHeader && !noHeader) {
        const header = this.createCodeHeader(
          displayLabel,
          code,
          shouldAddCopyButton,
          showLanguage,
          withShare,
          container
        );
        container.prepend(header);
      } else if (noHeader) {
        container.classList.add('highlightit-no-header');
        if (shouldAddCopyButton || withShare) {
          const floatingBtns = this.createFloatingButtons(code, withShare, container);
          container.appendChild(floatingBtns);
        }
      }

      if (withLines) {
        container.classList.add('highlightit-with-lines');
      }

      if (withLiveUpdates) {
        this.setupLiveUpdates(element, container, autoDetect, showLanguage, withShare);
      }

      if (!language && autoDetect) {
        const result = this.autoDetectLanguage(code);
        language = result.language;

        element.innerHTML = result.value;
        element.classList.add(`language-${language || 'unknown'}`);

        if (withLines) {
          this.addLineNumbers(element, code);
        }

        if (showLanguage && !noHeader && !displayLabel) {
          const header = container.querySelector('.highlightit-header');
          if (header) {
            const languageLabel = header.querySelector('.highlightit-language');
            if (!languageLabel && language) {
              const newLanguageLabel = document.createElement('span');
              newLanguageLabel.className = 'highlightit-language';
              newLanguageLabel.textContent = language;
              header.insertBefore(newLanguageLabel, header.firstChild);
            } else if (languageLabel && language) {
              languageLabel.textContent = language;
            }
          }
        }

        return;
      }

      if (language) {
        try {
          const result = hljs.highlight(code, { language });
          element.innerHTML = result.value;
          element.classList.add(`language-${language}`);

          if (withLines) {
            this.addLineNumbers(element, code);
          }
        } catch {
          if (autoDetect) {
            const result = this.autoDetectLanguage(code);
            element.innerHTML = result.value;
            element.classList.add(`language-${result.language || 'unknown'}`);

            if (withLines) {
              this.addLineNumbers(element, code);
            }

            if (showLanguage && !noHeader) {
              const header = container.querySelector('.highlightit-header');
              if (header) {
                const languageLabel = header.querySelector('.highlightit-language');
                if (languageLabel && result.language) {
                  languageLabel.textContent = result.language;
                }
              }
            }
          }
        }
      } else {
        element.innerHTML = `${this.escapeHtml(code)}`;

        if (withLines) {
          this.addLineNumbers(element, code);
        }
      }
    }

    /**
     * Set up live updates to watch for changes to the code element
     * @param {HTMLElement} element - The code element to watch
     * @param {HTMLElement} container - The container element
     * @param {boolean} autoDetect - Whether to auto-detect language
     * @param {boolean} showLanguage - Whether to show the language label
     * @param {boolean} withShare - Whether to update block ID for sharing
     * @private
     */
    static setupLiveUpdates(element, container, autoDetect, showLanguage, withShare) {
      if (!polyfills.supports.MutationObserver) {
        return;
      }

      const debounceTime = this.debounceTime || 30;
      let timeout = null;

      const originalElement = this.findOriginalElement(element, container);
      const elementToWatch = originalElement || element;
      const targetElement = element;

      const language =
        polyfills.dataset.get(element, 'language') ||
        (element.className.match(/language-(\w+)/) || [])[1] ||
        null;

      let detectedLanguage = null;
      if (!language && autoDetect) {
        const code = (elementToWatch.querySelector('code') || elementToWatch).textContent.trim();
        if (code) {
          const result = this.autoDetectLanguage(code);
          detectedLanguage = result.language || null;
        }
      }

      let lastProcessedCode = '';

      const rehighlight = () => {
        const originalCode = elementToWatch.querySelector('code') || elementToWatch;
        const code = originalCode.textContent.trim();
        if (!code) return;

        if (code === lastProcessedCode) {
          if (container.classList.contains('highlightit-with-lines')) {
            const preElement = targetElement.parentElement;
            const lineNumbersWrapper = preElement.querySelector('.highlightit-line-numbers');
            if (lineNumbersWrapper) {
              this.updateLineHeights(targetElement, lineNumbersWrapper);
            }
          }
          return;
        }

        lastProcessedCode = code;

        if (withShare) {
          this.updateCodeBlock(targetElement, container, language, code, showLanguage);
        } else {
          if (!language && autoDetect) {
            if (
              !detectedLanguage ||
              (showLanguage &&
                !container.querySelector('.highlightit-header .highlightit-language'))
            ) {
              const result = this.autoDetectLanguage(code);
              detectedLanguage = result.language || 'unknown';
              targetElement.innerHTML = result.value;
              polyfills.classList.add(targetElement, `language-${detectedLanguage}`);

              if (showLanguage && detectedLanguage) {
                const header = container.querySelector('.highlightit-header');
                if (header) {
                  const languageLabel = header.querySelector('.highlightit-language');
                  if (languageLabel) {
                    languageLabel.textContent = detectedLanguage;
                  } else {
                    const newLanguageLabel = document.createElement('span');
                    newLanguageLabel.className = 'highlightit-language';
                    newLanguageLabel.textContent = detectedLanguage;
                    header.insertBefore(newLanguageLabel, header.firstChild);
                  }
                }
              }
            } else {
              const result = hljs.highlight(code, { language: detectedLanguage });
              targetElement.innerHTML = result.value;
              polyfills.classList.add(targetElement, `language-${detectedLanguage}`);
            }
          } else {
            this.updateCodeBlock(targetElement, container, language, code, showLanguage);
            polyfills.classList.add(targetElement, `language-${language || 'unknown'}`);
          }
        }

        if (container.classList.contains('highlightit-with-lines')) {
          const preElement = targetElement.parentElement;
          const oldLineNumbers = preElement.querySelector('.highlightit-line-numbers');
          const oldLines = oldLineNumbers
            ? oldLineNumbers.querySelectorAll(
                '.highlightit-line-number-container, .highlightit-line-number'
              )
            : null;

          const lineCount = code.split('\n').length;
          const oldLineCount = oldLines ? oldLines.length : 0;
          let lineStart = parseInt(
            targetElement.dataset.lineStart || preElement.dataset.lineStart || 1,
            10
          );

          if (oldLineNumbers && lineCount !== oldLineCount) {
            while (oldLineNumbers.firstChild) {
              oldLineNumbers.removeChild(oldLineNumbers.firstChild);
            }

            const withShare =
              container.dataset.withShare !== undefined || element.dataset.withShare !== undefined;
            const blockId = container.getAttribute('data-original-id') || container.id;

            const fragment = document.createDocumentFragment();
            for (let i = 0; i < lineCount; i++) {
              if (withShare && blockId) {
                const lineNumberContainer = document.createElement('div');
                lineNumberContainer.className = 'highlightit-line-number-container';

                const span = document.createElement('span');
                span.className = 'highlightit-line-number highlightit-line-number-shareable';
                span.textContent = lineStart + i;

                const lineNumber = lineStart + i;
                const lineShareButton = document.createElement('button');
                lineShareButton.className = 'highlightit-line-share';
                lineShareButton.setAttribute('aria-label', `Copy link to line ${lineNumber}`);
                lineShareButton.innerHTML = cache.svgIcons.link;
                lineShareButton.dataset.lineNumber = lineNumber;
                lineShareButton.dataset.blockId = blockId;

                lineShareButton.addEventListener('click', async (e) => {
                  e.stopPropagation();

                  const currentBlockId = container.getAttribute('data-original-id') || container.id;
                  const lineNumber = e.currentTarget.dataset.lineNumber;
                  const url = new URL(window.location.href);
                  url.hash = `${currentBlockId}_${lineNumber}`;

                  const success = await polyfills.copyToClipboard(url.toString());

                  if (success) {
                    lineShareButton.classList.add('copied');
                    lineShareButton.innerHTML = cache.svgIcons.check;

                    const containerElement = lineShareButton.closest(
                      '.highlightit-line-number-container'
                    );
                    if (containerElement) {
                      containerElement.classList.add('has-copied-button');
                      polyfills.updateHasClass(
                        containerElement,
                        '.highlightit-line-share.copied',
                        'has-copied-button',
                        true
                      );
                    }

                    setTimeout(() => {
                      lineShareButton.classList.remove('copied');
                      lineShareButton.innerHTML = cache.svgIcons.link;

                      if (containerElement) {
                        containerElement.classList.remove('has-copied-button');
                        polyfills.updateHasClass(
                          containerElement,
                          '.highlightit-line-share.copied',
                          'has-copied-button',
                          false
                        );
                      }
                    }, 2000);
                  }
                });

                lineNumberContainer.appendChild(span);
                lineNumberContainer.appendChild(lineShareButton);
                fragment.appendChild(lineNumberContainer);
              } else {
                const span = document.createElement('span');
                span.className = 'highlightit-line-number';
                span.textContent = lineStart + i;
                fragment.appendChild(span);
              }
            }
            oldLineNumbers.appendChild(fragment);

            this.updateLineHeights(targetElement, oldLineNumbers);
          } else if (oldLineNumbers) {
            this.updateLineHeights(targetElement, oldLineNumbers);
          } else {
            this.addLineNumbers(targetElement, code);
          }
        }
      };

      const observer = new MutationObserver(() => {
        if (timeout) clearTimeout(timeout);
        timeout = setTimeout(() => {
          rehighlight();
          timeout = null;
        }, debounceTime);
      });

      observer.observe(elementToWatch, {
        characterData: true,
        childList: true,
        subtree: true,
      });

      elementToWatch._highlightObserver = observer;
    }

    /**
     * Create a styled container for code block
     * @param {HTMLElement} element - The code element to wrap
     * @returns {HTMLElement} - The container element
     * @private
     */
    static createCodeContainer(element) {
      const preElement = element.parentElement;

      if (
        preElement.parentElement &&
        preElement.parentElement.classList.contains('highlightit-container')
      ) {
        return preElement.parentElement;
      }

      const container = document.createElement('div');
      container.className = 'highlightit-container';

      if (preElement.dataset && preElement.dataset.linkedOriginal) {
        container.dataset.linkedOriginal = preElement.dataset.linkedOriginal;
      } else if (preElement.hasAttribute('data-linked-original')) {
        container.setAttribute(
          'data-linked-original',
          preElement.getAttribute('data-linked-original')
        );
        preElement.removeAttribute('data-linked-original');
      }

      if (preElement.hasAttribute('data-original-id')) {
        container.setAttribute('data-original-id', preElement.getAttribute('data-original-id'));
      }

      if (!container.id) {
        if (preElement.id) {
          container.id = preElement.id;
          preElement.removeAttribute('id');
        } else if (element.id) {
          container.id = element.id;
          element.removeAttribute('id');
        }
      }

      preElement.parentNode.insertBefore(container, preElement);
      container.appendChild(preElement);

      return container;
    }

    /**
     * Create code header with language/filename label and copy button
     * @param {string} displayLabel - The text to display (language or filename)
     * @param {string} code - The code to copy
     * @param {boolean} addCopyButton - Whether to add a copy button
     * @param {boolean} showLanguage - Whether to show the language label
     * @param {boolean} addShareButton - Whether to add a share button
     * @param {HTMLElement} container - The container element (for share button)
     * @returns {HTMLElement} - The header element
     * @private
     */
    static createCodeHeader(
      displayLabel,
      code,
      addCopyButton,
      showLanguage,
      addShareButton,
      container
    ) {
      const header = document.createElement('div');
      header.className = 'highlightit-header';

      if (showLanguage && displayLabel) {
        const labelElement = document.createElement('span');
        labelElement.className = 'highlightit-language';
        labelElement.textContent = displayLabel;
        header.appendChild(labelElement);
      }

      const buttonContainer = document.createElement('div');
      buttonContainer.className = 'highlightit-buttons-container';
      buttonContainer.style.display = 'flex';
      buttonContainer.style.alignItems = 'center';

      if (addCopyButton) {
        const copyButton = this.createCopyButton(code);
        buttonContainer.appendChild(copyButton);
      }

      if (addShareButton) {
        this.createShareButton(code, container).then((shareButton) => {
          buttonContainer.appendChild(shareButton);
        });
      }

      header.appendChild(buttonContainer);

      return header;
    }

    /**
     * Create copy button element
     * @param {string} code - The code to copy
     * @returns {HTMLElement} - The copy button element
     * @private
     */
    static createCopyButton(code) {
      const copyButton = document.createElement('button');
      copyButton.className = 'highlightit-button highlightit-copy';
      copyButton.setAttribute('aria-label', 'Copy code');
      copyButton.innerHTML = `${cache.svgIcons.copy}${cache.svgIcons.check.replace('highlightit-check-icon', 'highlightit-check-icon" style="display: none;')}`;

      const clickListener = async () => {
        const codeToCopy = code.trim();
        const success = await polyfills.copyToClipboard(codeToCopy);

        if (success) {
          polyfills.classList.add(copyButton, 'copied');
          copyButton.querySelector('.highlightit-copy-icon').style.display = 'none';
          copyButton.querySelector('.highlightit-check-icon').style.display = 'block';

          setTimeout(() => {
            polyfills.classList.remove(copyButton, 'copied');
            copyButton.querySelector('.highlightit-copy-icon').style.display = 'block';
            copyButton.querySelector('.highlightit-check-icon').style.display = 'none';
          }, 2000);
        } else {
          console.warn('Failed to copy code');
        }
      };

      copyButton.onclickBackup = clickListener;
      copyButton._currentCode = code.trim();
      copyButton.addEventListener('click', clickListener);

      return copyButton;
    }

    /**
     * Create floating buttons for no-header mode
     * @param {string} code - The code to copy
     * @param {boolean} withShare - Whether to add a share button
     * @param {HTMLElement} container - The container element for share functionality
     * @returns {HTMLElement} - The container with floating buttons
     * @private
     */
    static createFloatingButtons(code, withShare = false, container = null) {
      const buttonsContainer = document.createElement('div');
      buttonsContainer.className = 'highlightit-floating-buttons';

      const copyButton = this.createCopyButton(code);
      copyButton.className = 'highlightit-button highlightit-copy highlightit-floating';

      if (this.isTouchDevice) {
        copyButton.style.opacity = '1';
      }

      buttonsContainer.appendChild(copyButton);

      if (withShare && container) {
        (async () => {
          const shareButton = await this.createShareButton(code, container);
          shareButton.className = 'highlightit-button highlightit-share highlightit-floating';

          if (this.isTouchDevice) {
            shareButton.style.opacity = '1';
          }

          buttonsContainer.appendChild(shareButton);
        })();
      }

      return buttonsContainer;
    }

    /**
     * Get language from filename extension
     * @param {string} filename - The filename to extract extension from
     * @returns {string|null} - The language name or null if not determined
     * @private
     */
    static getLanguageFromFilename(filename) {
      const extension = filename.split('.').pop().toLowerCase();
      return cache.extensionMap.get(extension) || null;
    }

    /**
     * Auto-detect language with priority given to popular languages
     * @param {string} code - The code to detect the language of
     * @returns {Object} - The highlight.js result object with language and value properties
     * @private
     */
    static autoDetectLanguage(code) {
      const result = hljs.highlightAuto(code, Array.from(cache.popularLanguages));
      return result.language ? result : hljs.highlightAuto(code);
    }

    /**
     * Escape HTML special characters
     * @param {string} html - The HTML string to escape
     * @returns {string} - The escaped HTML string
     * @private
     */
    static escapeHtml(html) {
      return html.replace(/[&<>"'`=/]/g, (char) => cache.htmlEscapes.get(char));
    }

    /**
     * Add line numbers to a code element
     * @param {HTMLElement} element - The code element to add line numbers to
     * @param {string} code - The original code content
     * @private
     */
    static addLineNumbers(element, code) {
      const preElement = element.parentElement;
      if (preElement.querySelector('.highlightit-line-numbers')) return;

      const container = preElement.closest('.highlightit-container');
      const withShare =
        container &&
        (container.dataset.withShare !== undefined || element.dataset.withShare !== undefined);

      const lines = code.trim().split('\n');
      const lineCount = lines.length;

      const lineNumbersWrapper = document.createElement('div');
      lineNumbersWrapper.className = 'highlightit-line-numbers';

      const startLine = parseInt(
        element.dataset.lineStart || preElement.dataset.lineStart || 1,
        10
      );

      const fragment = document.createDocumentFragment();

      let blockId = '';
      if (withShare) {
        blockId = container.getAttribute('data-original-id') || container.id;

        if (!blockId) {
          blockId = 'temp-' + Math.random().toString(36).substr(2, 9);
          container.id = blockId;

          this.generateHash(code).then((hash) => {
            if (container.id === blockId) {
              container.id = hash;
            }

            const lineNumbers = lineNumbersWrapper.querySelectorAll('.highlightit-line-number');
            lineNumbers.forEach((lineNumber) => {
              const lineShareBtn = lineNumber.querySelector('.highlightit-line-share');
              if (lineShareBtn && lineShareBtn.dataset.blockId === blockId) {
                lineShareBtn.dataset.blockId = hash;
              }
            });
          });
        }
      }

      for (let i = 0; i < lineCount; i++) {
        const lineNumberContainer = document.createElement('div');
        lineNumberContainer.className = 'highlightit-line-number-container';

        const span = document.createElement('span');
        span.className = 'highlightit-line-number';
        span.textContent = startLine + i;

        if (withShare && blockId) {
          const lineNumber = startLine + i;
          span.className += ' highlightit-line-number-shareable';

          const lineShareButton = document.createElement('button');
          lineShareButton.className = 'highlightit-line-share';
          lineShareButton.setAttribute('aria-label', `Copy link to line ${lineNumber}`);
          lineShareButton.innerHTML = cache.svgIcons.link;
          lineShareButton.dataset.lineNumber = lineNumber;
          lineShareButton.dataset.blockId = blockId;

          lineShareButton.addEventListener('click', async (e) => {
            e.stopPropagation();

            const currentBlockId = container.getAttribute('data-original-id') || container.id;
            const lineNumber = e.currentTarget.dataset.lineNumber;
            const url = new URL(window.location.href);
            url.hash = `${currentBlockId}_${lineNumber}`;

            const success = await polyfills.copyToClipboard(url.toString());

            if (success) {
              lineShareButton.classList.add('copied');
              lineShareButton.innerHTML = cache.svgIcons.check;

              const containerElement = lineShareButton.closest(
                '.highlightit-line-number-container'
              );
              if (containerElement) {
                containerElement.classList.add('has-copied-button');
                polyfills.updateHasClass(
                  containerElement,
                  '.highlightit-line-share.copied',
                  'has-copied-button',
                  true
                );
              }

              setTimeout(() => {
                lineShareButton.classList.remove('copied');
                lineShareButton.innerHTML = cache.svgIcons.link;

                if (containerElement) {
                  containerElement.classList.remove('has-copied-button');
                  polyfills.updateHasClass(
                    containerElement,
                    '.highlightit-line-share.copied',
                    'has-copied-button',
                    false
                  );
                }
              }, 2000);
            }
          });

          lineNumberContainer.appendChild(span);
          lineNumberContainer.appendChild(lineShareButton);
        } else {
          lineNumberContainer.appendChild(span);
        }

        fragment.appendChild(lineNumberContainer);
      }

      lineNumbersWrapper.appendChild(fragment);

      polyfills.classList.add(preElement, 'highlightit-has-line-numbers');
      preElement.insertBefore(lineNumbersWrapper, preElement.firstChild);

      this.updateLineHeights(element, lineNumbersWrapper);

      const resizeObserver = new polyfills.ResizeObserver(() => {
        this.updateLineHeights(element, lineNumbersWrapper);
      });

      resizeObserver.observe(element);

      element._lineNumbersResizeObserver = resizeObserver;
    }

    /**
     * Update the line heights for line numbers to match the highlighted code
     * @param {HTMLElement} element - The code element
     * @param {HTMLElement} lineNumbersWrapper - The line numbers container
     * @private
     */
    static updateLineHeights(element, lineNumbersWrapper) {
      const codeHeight = element.offsetHeight;
      const lineNumberContainers = lineNumbersWrapper.querySelectorAll(
        '.highlightit-line-number-container'
      );
      const lineCount =
        lineNumberContainers.length ||
        lineNumbersWrapper.querySelectorAll('.highlightit-line-number').length;

      if (lineCount === 0) return;

      const lineHeight = codeHeight / lineCount;

      if (lineNumberContainers.length > 0) {
        lineNumberContainers.forEach((container) => {
          container.style.height = `${lineHeight}px`;
        });
      } else {
        const lineNumbers = lineNumbersWrapper.querySelectorAll('.highlightit-line-number');
        lineNumbers.forEach((lineNumber) => {
          lineNumber.style.height = `${lineHeight}px`;
        });
      }
    }

    /**
     * Update code block with new content
     * @param {HTMLElement} element - The code element to rehighlight
     * @param {HTMLElement} container - The container element
     * @param {string} languageOrFilename - The language or filename to use
     * @param {string} code - The code content
     * @param {boolean} showLanguage - Whether to show the language label
     * @private
     */
    static updateCodeBlock(element, container, languageOrFilename, code, showLanguage) {
      const cleanedCode = code.trim();
      const withLines =
        container.classList.contains('highlightit-with-lines') ||
        element.dataset.lineStart !== undefined;

      let language = null;
      let displayLabel = languageOrFilename;

      if (languageOrFilename) {
        language = this.getLanguageFromFilename(languageOrFilename) || languageOrFilename;
      }

      try {
        const result = language
          ? hljs.highlight(cleanedCode, { language })
          : { value: this.escapeHtml(cleanedCode) };

        element.innerHTML = result.value;

        if (withLines) {
          const oldLineNumbers = container.querySelector('.highlightit-line-numbers');
          const oldLines = oldLineNumbers
            ? oldLineNumbers.querySelectorAll(
                '.highlightit-line-number-container, .highlightit-line-number'
              )
            : null;

          const lineCount = cleanedCode.split('\n').length;
          const oldLineCount = oldLines ? oldLines.length : 0;

          let lineStart = parseInt(
            element.dataset.lineStart || container.dataset.lineStart || 1,
            10
          );

          if (oldLineNumbers && lineCount !== oldLineCount) {
            while (oldLineNumbers.firstChild) {
              oldLineNumbers.removeChild(oldLineNumbers.firstChild);
            }

            const withShare =
              container.dataset.withShare !== undefined || element.dataset.withShare !== undefined;

            const blockId = container.getAttribute('data-original-id') || container.id || '';

            const fragment = document.createDocumentFragment();
            for (let i = 0; i < lineCount; i++) {
              if (withShare && blockId) {
                const lineNumberContainer = document.createElement('div');
                lineNumberContainer.className = 'highlightit-line-number-container';

                const span = document.createElement('span');
                span.className = 'highlightit-line-number highlightit-line-number-shareable';
                span.textContent = lineStart + i;

                const lineNumber = lineStart + i;
                const lineShareButton = document.createElement('button');
                lineShareButton.className = 'highlightit-line-share';
                lineShareButton.setAttribute('aria-label', `Copy link to line ${lineNumber}`);
                lineShareButton.innerHTML = cache.svgIcons.link;
                lineShareButton.dataset.lineNumber = lineNumber;
                lineShareButton.dataset.blockId = blockId;

                lineShareButton.addEventListener('click', async (e) => {
                  e.stopPropagation();

                  const currentBlockId = container.getAttribute('data-original-id') || container.id;
                  const lineNumber = e.currentTarget.dataset.lineNumber;
                  const url = new URL(window.location.href);
                  url.hash = `${currentBlockId}_${lineNumber}`;

                  const success = await polyfills.copyToClipboard(url.toString());

                  if (success) {
                    lineShareButton.classList.add('copied');
                    lineShareButton.innerHTML = cache.svgIcons.check;

                    const containerElement = lineShareButton.closest(
                      '.highlightit-line-number-container'
                    );
                    if (containerElement) {
                      containerElement.classList.add('has-copied-button');
                      polyfills.updateHasClass(
                        containerElement,
                        '.highlightit-line-share.copied',
                        'has-copied-button',
                        true
                      );
                    }

                    setTimeout(() => {
                      lineShareButton.classList.remove('copied');
                      lineShareButton.innerHTML = cache.svgIcons.link;

                      if (containerElement) {
                        containerElement.classList.remove('has-copied-button');
                        polyfills.updateHasClass(
                          containerElement,
                          '.highlightit-line-share.copied',
                          'has-copied-button',
                          false
                        );
                      }
                    }, 2000);
                  }
                });

                lineNumberContainer.appendChild(span);
                lineNumberContainer.appendChild(lineShareButton);
                fragment.appendChild(lineNumberContainer);
              } else {
                const span = document.createElement('span');
                span.className = 'highlightit-line-number';
                span.textContent = lineStart + i;
                fragment.appendChild(span);
              }
            }
            oldLineNumbers.appendChild(fragment);

            this.updateLineHeights(element, oldLineNumbers);
          } else {
            this.addLineNumbers(element, cleanedCode);
          }
        }

        const copyButtons = container.querySelectorAll('.highlightit-copy');
        copyButtons.forEach((copyButton) => {
          const currentCode = copyButton._currentCode;

          if (currentCode !== cleanedCode) {
            const clickListener = copyButton.onclickBackup || copyButton.onclick;

            if (clickListener) {
              copyButton.removeEventListener('click', clickListener);
            }

            const newClickListener = async () => {
              const codeToCopy = cleanedCode;
              const success = await polyfills.copyToClipboard(codeToCopy);

              if (success) {
                polyfills.classList.add(copyButton, 'copied');
                copyButton.querySelector('.highlightit-copy-icon').style.display = 'none';
                copyButton.querySelector('.highlightit-check-icon').style.display = 'block';

                setTimeout(() => {
                  polyfills.classList.remove(copyButton, 'copied');
                  copyButton.querySelector('.highlightit-copy-icon').style.display = 'block';
                  copyButton.querySelector('.highlightit-check-icon').style.display = 'none';
                }, 2000);
              } else {
                console.warn('Failed to copy code');
              }
            };

            copyButton.onclickBackup = newClickListener;
            copyButton._currentCode = cleanedCode;
            copyButton.addEventListener('click', newClickListener);
          }
        });

        const shareButtons = container.querySelectorAll('.highlightit-share');
        shareButtons.forEach(async (shareButton) => {
          const originalId = container.getAttribute('data-original-id');

          if (originalId) {
            if (shareButton._currentBlockId !== originalId) {
              shareButton._currentBlockId = originalId;
            }
            return;
          }

          if (container.id) {
            if (shareButton._currentBlockId !== container.id) {
              const clickListener = shareButton.onclickBackup || shareButton.onclick;

              if (clickListener) {
                shareButton.removeEventListener('click', clickListener);
              }

              const newClickListener = async () => {
                const url = new URL(window.location.href);
                url.hash = container.id;

                const success = await polyfills.copyToClipboard(url.toString());

                if (success) {
                  shareButton.classList.add('copied');
                  shareButton.innerHTML = cache.svgIcons.check;

                  setTimeout(() => {
                    shareButton.classList.remove('copied');
                    shareButton.innerHTML = cache.svgIcons.share;
                  }, 2000);
                }
              };

              shareButton.onclickBackup = newClickListener;
              shareButton._currentBlockId = container.id;
              shareButton.addEventListener('click', newClickListener);
            }
            return;
          }

          const blockId = await this.generateHash(cleanedCode);
          container.id = blockId;

          if (shareButton._currentBlockId !== blockId) {
            const clickListener = shareButton.onclickBackup || shareButton.onclick;

            if (clickListener) {
              shareButton.removeEventListener('click', clickListener);
            }

            const newClickListener = async () => {
              const url = new URL(window.location.href);
              url.hash = blockId;

              const success = await polyfills.copyToClipboard(url.toString());

              if (success) {
                shareButton.classList.add('copied');
                shareButton.innerHTML = cache.svgIcons.check;

                setTimeout(() => {
                  shareButton.classList.remove('copied');
                  shareButton.innerHTML = cache.svgIcons.share;
                }, 2000);
              }
            };

            shareButton.onclickBackup = newClickListener;
            shareButton._currentBlockId = blockId;
            shareButton.addEventListener('click', newClickListener);
          }
        });

        const floatingBtnsContainer = container.querySelector('.highlightit-floating-buttons');
        if (floatingBtnsContainer && container.classList.contains('highlightit-no-header')) {
          container.removeChild(floatingBtnsContainer);
          const withShare = container.dataset.withShare !== undefined;
          const newFloatingBtns = this.createFloatingButtons(cleanedCode, withShare, container);
          container.appendChild(newFloatingBtns);
        }

        if (showLanguage && language) {
          const header = container.querySelector('.highlightit-header');
          const languageLabel = header?.querySelector('.highlightit-language');
          if (languageLabel) {
            languageLabel.textContent = displayLabel || language;
          }
        }
      } catch (error) {
        console.warn(`HighlightIt: Error highlighting with language ${language}`, error);
        element.innerHTML = this.escapeHtml(cleanedCode);
      }
    }

    static findOriginalElement(element, container) {
      let linkId =
        element.parentElement?.dataset.linkedOriginal ||
        container?.dataset.linkedOriginal ||
        element.parentElement?.getAttribute('data-linked-original') ||
        container?.getAttribute('data-linked-original');

      if (linkId) {
        return (
          document.querySelector(`.highlightit-original[data-highlightit-id="${linkId}"]`) ||
          document.getElementById(linkId)
        );
      }

      if (container?.previousSibling?.classList?.contains('highlightit-original')) {
        return container.previousSibling;
      }

      const originalId =
        element.parentElement?.getAttribute('data-original-id') ||
        container?.getAttribute('data-original-id');
      return originalId ? document.getElementById(originalId) : null;
    }

    /**
     * Initialize the share functionality
     */
    static initSharing() {
      setTimeout(() => {
        this.scrollToAnchor();
      }, 100);

      window.addEventListener('hashchange', () => {
        this.scrollToAnchor();
      });
    }
  }

  if (typeof window !== 'undefined') {
    if (document.readyState === 'loading') {
      document.addEventListener('DOMContentLoaded', () => HighlightIt.initSharing());
    } else {
      HighlightIt.initSharing();
    }
  }

  /**
   * Highlight a new element that wasn't present when the library was initialized
   * @param {HTMLElement} element - The element to highlight
   * @param {Object} options - Configuration options
   * @param {boolean} [options.autoDetect=true] - Whether to auto-detect language if not specified
   * @param {boolean} [options.addCopyButton=true] - Whether to add a copy button
   * @param {boolean} [options.showLanguage=true] - Whether to show the language label
   * @param {boolean} [options.addHeader=true] - Whether to add a header section
   * @param {boolean} [options.addLines=false] - Whether to add line numbers
   * @param {boolean} [options.withReload=false] - Whether to enable live updates
   * @param {boolean} [options.addShare=false] - Whether to add a share button
   * @param {string} [options.language] - The language to use for syntax highlighting
   * @param {string} [options.theme] - Theme override for this element ('light', 'dark', or 'auto')
   * @param {number} [options.lineStart] - Starting line number (default is 1, can be positive or negative)
   * @returns {HTMLElement} - The highlighted element container
   */
  HighlightIt.highlight = function (element, options = {}) {
    if (
      !element ||
      element.classList.contains('highlightit-original') ||
      element.closest('.highlightit-container') ||
      (element.parentElement && element.parentElement.classList.contains('highlightit-container'))
    ) {
      console.warn('HighlightIt: Element is already highlighted or is a hidden original element');
      return element;
    }

    const {
      autoDetect = true,
      addCopyButton = true,
      showLanguage = true,
      addHeader = true,
      addLines = false,
      withReload = false,
      addShare = false,
      language,
      theme,
      lineStart,
    } = options;

    if (addLines) {
      element.dataset.withLines = '';
    }

    if (lineStart !== undefined) {
      element.dataset.lineStart = lineStart;
    }

    if (withReload) {
      element.dataset.withReload = '';
    }

    if (!addHeader) {
      element.dataset.noHeader = '';
    }

    if (!addCopyButton) {
      element.dataset.noCopy = '';
    }

    if (addShare) {
      element.dataset.withShare = '';
    }

    if (language) {
      element.dataset.language = language;
    }

    if (theme) {
      element.dataset.theme = theme;
    }

    this.processElement(
      element,
      autoDetect,
      addCopyButton,
      showLanguage,
      addHeader,
      addLines,
      addShare
    );

    const container =
      element.closest('.highlightit-container') ||
      (element.parentElement && element.parentElement.closest('.highlightit-container'));

    return container || element;
  };

  global.HighlightIt = HighlightIt;

  if (typeof window !== 'undefined') {
    window.HighlightIt = HighlightIt;

    injectCSS(STYLES_CSS);
  }
})(typeof window !== 'undefined' ? window : this);
